local SellOMatic = _G.SellOMatic;
local L = LibStub("AceLocale-3.0"):GetLocale("SellOMatic");

local GOLD = L["gold"];
local s_gold = string.sub(GOLD,1,1);
local SILVER = L["silver"];
local s_silver = string.sub(SILVER,1,1);
local COPPER = L["copper"];
local s_copper = string.sub(COPPER,1,1);

function SellOMatic:FormatMoneyLite(value)
	local gold = math.modf(abs(value / 10000));
	local silver = math.modf(abs(mod(value / 100, 100)));
	local copper = math.modf(abs(mod(value, 100)));

	if gold > 0 then
		return (gold.." "..s_gold.." "..silver.." "..s_silver.." "..copper.." "..s_copper);
	elseif silver > 0 then
		return (silver.." "..s_silver.." "..copper.." "..s_copper);
	else
		return (copper.." "..s_copper);
	end;
end;

function SellOMatic:FormatMoneyFull(value)
	local gold = math.modf(abs(value / 10000));
	local silver = math.modf(abs(mod(value / 100, 100)));
	local copper = math.modf(abs(mod(value, 100)));

	if gold > 0 then
		return (gold.." "..GOLD.." "..silver.." "..SILVER.." "..copper.." "..COPPER);
	elseif silver > 0 then
		return (silver.." "..SILVER.." "..copper.." "..COPPER);
	else
		return (copper.." "..COPPER);
	end;
end;
